import { SpecRegistry, BaseRawMarkSpec } from '@bangle.dev/core';
import type { Command, EditorState, Schema } from '@bangle.dev/pm';
import { PluginKey } from '@bangle.dev/pm';
import type { SuggestTooltipRenderOpts } from '@bangle.dev/tooltip';
import { EmojiGroupType } from './types';
export declare const spec: typeof specFactory;
export declare const plugins: typeof pluginsFactory;
export declare const commands: {
    queryTriggerText: typeof queryTriggerText;
    selectEmoji: typeof selectEmoji;
};
declare function specFactory({ markName, trigger, }: {
    markName: string;
    trigger?: string;
}): BaseRawMarkSpec;
export declare type GetEmojiGroupsType = (queryText: string) => EmojiGroupType;
declare function pluginsFactory({ key, markName, tooltipRenderOpts, getEmojiGroups, maxItems, squareSide, squareMargin, rowWidth, }: {
    markName: string;
    key?: PluginKey;
    tooltipRenderOpts?: SuggestTooltipRenderOpts;
    getEmojiGroups: GetEmojiGroupsType;
    maxItems?: number;
    squareSide?: number;
    squareMargin?: number;
    rowWidth?: number;
}): ({ schema, specRegistry, }: {
    schema: Schema;
    specRegistry: SpecRegistry;
}) => (import("prosemirror-state").Plugin<any, any> | import("prosemirror-inputrules").InputRule<any> | import("@bangle.dev/core").PluginGroup | null)[];
export declare function getSuggestTooltipKey(key: PluginKey): (state: EditorState) => PluginKey<any, any>;
/** Commands */
export declare function queryTriggerText(key: PluginKey): (state: EditorState) => string;
export declare function selectEmoji(key: PluginKey, emojiAlias: string): Command;
export {};
//# sourceMappingURL=emoji-suggest.d.ts.map