import { EmojiGroupType, EmojiType } from './types';
/**
 * Converted 2d coordinates in a flat 1d integer referred everywhere as counter.
 */
export declare function coordsToCounter(coords: [number, number], namedGroups: EmojiGroupType): number;
export declare function resolveCounter(counter: number, namedGroups: EmojiGroupType): {
    item: undefined;
    coords: undefined;
} | {
    item: EmojiType;
    coords: number[];
};
/**
 * Helps calculate the position resulting from a jump between rows
 * @returns a new counter
 */
export declare function resolveRowJump(counter: number, direction: number | undefined, jump: number, namedGroups: EmojiGroupType): number | null;
export declare function getSquareDimensions({ rowWidth, squareMargin, squareSide, }: {
    rowWidth: number;
    squareMargin: number;
    squareSide: number;
}): {
    containerWidth: number;
    rowCount: number;
};
export declare function jumpRow(counter: number, direction: number | undefined, jump: number, namedGroups: EmojiGroupType): {
    item: undefined | EmojiType;
    coords: undefined | [number, number];
};
//# sourceMappingURL=utils.d.ts.map